﻿Imports System
Imports System.IO


Public Class Form1

    ' ドライブ取得用
    Public getDrive As DriveInfo

    Private Sub Form1_Load(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles MyBase.Load

        Dim allDrives() As DriveInfo = DriveInfo.GetDrives()    ' 全ドライブ
        Dim checkFlg As Boolean = False                         ' 接続フラグ

        ' ドライブ確認
        For Each Me.getDrive In allDrives

            ' リムーバブルディスク確認
            If Me.getDrive.DriveType = DriveType.Removable Then

                ' スキャナラベル確認
                If Me.getDrive.VolumeLabel = "MiniScan" Then

                    ' 接続フラグ ON
                    checkFlg = True

                    ' ループ終了
                    Exit For

                End If
            End If
        Next

        ' 接続フラグ確認
        If checkFlg = False Then

            MsgBox("M1195A スキャナが接続されていません")

            End

        End If

        ' タイマー設定
        Me.Timer1.Interval = 3000

    End Sub

    Private Sub Button1_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles Button1.Click

        Dim makeFile As System.IO.FileStream = Nothing      ' ファイル用
        Dim getPath As String = ""                          ' パス用

        ' ファイルパスを作成
        getPath = getDrive.Name.ToString + "HTA02100.000"

        Try

            ' ファイル作成
            makeFile = System.IO.File.Create(getPath)

            ' タイマー設定
            Me.Timer1.Enabled = True

            ' テキストボックスへフォーカスを設定
            Me.TextBox1.Focus()

        Catch ex As Exception
        Finally

            ' ファイル確認
            If Not makeFile Is Nothing Then

                ' ファイルクローズ
                makeFile.Close()

            End If
        End Try

    End Sub

    Private Sub TextBox1_TextChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles TextBox1.TextChanged

        Dim getPath As String = ""                          ' パス用

        ' タイマー終了
        Me.Timer1.Enabled = False

        ' ファイルパス作成
        getPath = getDrive.Name.ToString + "HTA02100.000"

        ' ファイル存在チェック
        If System.IO.File.Exists(getPath) Then

            ' ファイル削除
            System.IO.File.Delete(getPath)

        End If

    End Sub

    Private Sub Timer1_Tick(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles Timer1.Tick

        Dim getPath As String = ""                          ' パス用

        ' タイマー終了
        Me.Timer1.Enabled = False

        ' ファイルパス作成
        getPath = getDrive.Name.ToString + "HTA02100.000"

        ' ファイル存在チェック
        If System.IO.File.Exists(getPath) Then

            ' ファイル削除
            System.IO.File.Delete(getPath)

        End If

    End Sub
End Class
